aboutsummaryrefslogtreecommitdiff
path: root/x11
diff options
context:
space:
mode:
authorrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-15 20:42:49 +0000
committerrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-15 20:42:49 +0000
commitf811ec995423557531324af1e4536411c6efb5fc (patch)
tree302756037d2710780e9ce6a44d2bc15ff50b25a9 /x11
parent6a116443dd403dddd13887e7d0b8e2894846a3b9 (diff)
downloadslackbuilds-f811ec995423557531324af1e4536411c6efb5fc.tar.gz
slackbuilds-f811ec995423557531324af1e4536411c6efb5fc.tar.bz2
movendo...
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@650 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'x11')
-rwxr-xr-xx11/broffice/broffice.SlackBuild216
-rwxr-xr-xx11/inkscape/inkscape.SlackBuild107
-rw-r--r--x11/inkscape/slack-required5
-rwxr-xr-xx11/wine/wine.SlackBuild210
4 files changed, 0 insertions, 538 deletions
diff --git a/x11/broffice/broffice.SlackBuild b/x11/broffice/broffice.SlackBuild
deleted file mode 100755
index 1b36375b..00000000
--- a/x11/broffice/broffice.SlackBuild
+++ /dev/null
@@ -1,216 +0,0 @@
-#!/bin/bash
-#
-# slackbuild for kile, by Rudson R. Alves
-# requires: none
-# tested: broffice-2.0.4
-
-CWD=`pwd`
-
-# ---- Inicializa variáveis com o slackbuild ------------
-if [ -e "/root/.slackbuildrc" ]; then
- source /root/.slackbuildrc
-elif [ -e "/etc/slackbuildrc" ]; then
- source /etc/slackbuildrc
-fi
-
-# -------- Variáveis de controle de versão --------------
-# Nome da fonte para a qual o slackbuild foi construído e
-# o seu md5sum
-SRC_ORIG="broffice.org.2.0.4.rpm.tar.bz2"
-MD5_ORIG="3b78ddd41c7f8da098ec36f78642613f"
-PACKAGE_ORIG=`echo $SRC_ORIG | sed -r 's/(.*)\.org\.(.*)\.rpm\.(.*)$/\1/'`
-VERSION_ORIG=`echo $SRC_ORIG | sed -r 's/(.*)\.org\.(.*)\.rpm\.(.*)$/\2/'`
- EXTENSION=`echo $SRC_ORIG | sed -r 's/(.*)\.org\.(.*)\.rpm\.(.*)$/\3/'`
-
-# ------- Códigos de erro para o createpkg --------------
-ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
-ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
-ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
-ERROR_PATCH=40; ERROR_VCS=41
-
-# --------- Inicializa variáveis de entrada -------------
-PACKAGE=$PACKAGE_ORIG
-ARCH="i686"
-SRC_DIR=${SRC:=$CWD}
-VERSION=${VERSION:=$VERSION_ORIG}
-SRC=$PACKAGE.org.$VERSION.rpm.$EXTENSION
-BUILD=${BUILD:=1rud}
-TMP=${TMP:=/tmp}
-REPOS=${REPOS:=$TMP}
-PREFIX=${PREFIX:=/opt/kde}
-OPTCONF=${OPTCONF:=""}
-MD5=${MD5:=$MD5_ORIG}
-URL=${URL:="http://ftp.unicamp.br/pub/broffice/stable/$VERSION/$SRC"}
-
-# ---------------- SlackBuild Help ----------------------
-if [ "$1" = "--help" -o "$1" = "help" ]; then
- echo -e "\033[01;32m
-Use: var1=\"value 1\" var2=\"value 2\" ... <package>.SlackBuild
-where:
- ARCH=machine arch (i386, i486, i686, ...)
- VERSION=package version
- BUILD=package build version (default 1rud)
- SRC=source name of package
- SRC_DIR=source directory (default $PWD)
- TMP=temporary directory (default /tmp)
- REPOS=repository directory
- PREFIX=prefix from install package
- OPTCONF=options to pass from ./configure. To configure
- help, use OPTCONF=\"--help\"
- MD5=md5sum from package source
- URL=url from package source
-\033[m"
- exit $ERROR_HELP
-fi
-
-# ---------------- Download fontes ----------------------
-# Fonte a ser compilada, com o path
-SOURCE=$SRC_DIR/$PACKAGE/$SRC
-mkdir -p $SRC_DIR/$PACKAGE 2>/dev/null
-# Verifica existência do pacote em $SRC em $SRC_DIR
-if [ ! -e $SOURCE ]; then
- echo -e "\n\n\033[01;32m Download $PACKAGE \n\033[m"
- wget "$URL" -P "$SRC_DIR/$PACKAGE"
- # Verifica se o
- if [ $? -ne 0 ]; then
- echo -e "\n\n\033[01;31m No such source file in $URL\n\033[m"
- exit $ERROR_WGET
- fi
-fi
-
-# ------------------ Checa md5sum -----------------------
-if [ "$SRC_ORIG" = "$SRC" -o "$MD5" != "$MD5_ORIG" -a "$MD5" != "no" ]; then
- SUM=`md5sum $SOURCE | awk '{print $1}'`
- if [ "$SUM" != "$MD5" ]; then
- echo -e "\n\n\033[01;31m MD5SUM error: run Slackbuild again \n\033[m"
- echo -e "\033[01;31m Remove $PACKAGE from $SRC_DIR and start Slackbuild again or use MD5=\"no\" \n\033[m"
- exit $ERROR_MD5
- fi
- echo -e "\n\n\033[01;32m Md5sum Ok \n\033[m"
-fi
-
-# -------------- Desempacota fontes ---------------------
-# Desempacota fontes em PKG_SRC=$TMP/$PACKAGE-source
-PKG_SRC=$TMP/$PACKAGE-source
-rm -rf $PKG_SRC 2>/dev/null
-mkdir -p $PKG_SRC
-# Desempacota $SOURCE em $TMP/$PACKAGE-source
-tar xvf $SOURCE -C $PKG_SRC
-if [ $? -ne 0 ]; then
- echo -e "\n\n\033[01;31m $SOURCE file error \n\033[m"
- exit $ERROR_TAR
-fi
-# Pega o nome do diretório das fontes independente de sua
-# estrutura (package-version...)
-PKG_DIR="$PKG_SRC"
-cd $PKG_DIR/RPMS
-# Converte pacotes rpm para tgz
-echo -e "\n\n\033[01;32m Converte rpm packages \n\033[m"
-ALLPKGS=$( ls *.rpm | wc -l )
-j=1
-for i in *.rpm; do
- echo -e "\033[01;33m [$j of $ALLPKGS] Convert $i...\033[m"
- rpm2tgz $i
- let j++
-done
-rm *.rpm 2>/dev/null
-# Converte links do KDE
-cd desktop-integration
-echo -e "\033[01;33m Convert broffice.org-suse-menus...\033[m"
-rpm2tgz broffice.org-suse-menus*.rpm
-rm *.rpm *.deb 2>/dev/null
-
-# Cria diretório de instalação
-PKG=$TMP/$PACKAGE
-rm -rf $PKG 2>/dev/null
-mkdir -p $PKG
-
-# Instala arquivos em $PKG_VERSION
-echo -e "\n\n\033[01;32m Install packages \n\033[m"
-echo -e "\033[01;33m Install broffice.org-suse-menus...\033[m"
-tar xvf $( ls *.tgz ) -C $PKG
-cd ..
-j=1
-for i in *.tgz; do
- echo -e "\033[01;33m [$j of $ALLPKGS] Install $i...\033[m"
- tar xvf $i -C $PKG
- rm $i
- let j++
-done
-
-# Altera diretório do kde
-mv $PKG/opt/kde3 $PKG/opt/kde
-
-cd $PKG/usr/bin
-rm * 2>/dev/null
-
-# broffice.org-2.0
-cat << EOFBROFFICE > $PKG/usr/bin/broffice.org-2.0
-#!/bin/sh
-exec /opt/broffice.org2.0/program/soffice "$@"
-EOFBROFFICE
-
-# broffice.org-2.0-printeradmin
-cat << EOFBRADMIN > $PKG/usr/bin/broffice.org-2.0-printeradmin
-#!/bin/sh
-exec /opt/broffice.org2.0/program/spadmin
-EOFBRADMIN
-
-chmod +x *
-
-ln -s ../../opt/broffice.org2.0/program/soffice soffice
-
-cd $PKG/usr/share/applications
-rm *
-for i in $( ls ../../../opt/broffice.org2.0/share/xdg/* ); do
- NAME=$( echo $i | sed 's/.*xdg\/\(.*\.desktop\)$/\1/' )
- ln -s $i $NAME
-done
-
-# ----------------- Stripa código -----------------------
-cd $PKG
-find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-
-# ---------------- Cria slack-desc ----------------------
-mkdir $PKG/install
-cat << EOF > install/slack-desc
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
-# leave one space after the ':'.
-
- |-----handy-ruler------------------------------------------------------|
-broffice: BrOffice.org Versão $VERSION
-broffice:
-broffice: Pacote do BrOffice construído a partir do pacote rpm pelo
-broffice: broffice.Slackbuild.
-broffice:
-broffice: O BrOffice.org/OpenOffice.org é a mais aberta e democrática suíte de
-broffice: escritório disponível, composto por: Writer - editor; Calc - plani-
-broffice: lha; Impress - apresentações; Draw - desenhos vetoriais; Math -
-broffice: Editor de equações; Base - Banco de dados
-broffice: URL: http://www.openoffice.org.br
-EOF
-
-# ----------------- Documentações -----------------------
-# Criar diretório de documentação
-PKG_DOC=$PKG/usr/doc/$PACKAGE-$VERSION
-mkdir -p $PKG_DOC
-cp $PKG_SRC/licenses/* $PKG_DOC
-cp $PKG_SRC/readmes/* $PKG_DOC
-
-# --------------- Constroi o pacote ---------------------
-echo -e "\n\n\033[01;32m makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz \n\033[m"
-makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
-if [ $? -ne 0 ]; then
- exit $ERROR_MKPKG
-fi
-
-# ----------- Remove arquivos temporários ---------------
-if [ "$CLEANUP" = "yes" ]; then
- echo -e "\n\n\033[01;32m Remove files... \n\033[m"
- rm -rf $PKG $PKG_SRC
-fi
diff --git a/x11/inkscape/inkscape.SlackBuild b/x11/inkscape/inkscape.SlackBuild
deleted file mode 100755
index 882d3ac0..00000000
--- a/x11/inkscape/inkscape.SlackBuild
+++ /dev/null
@@ -1,107 +0,0 @@
-#!/bin/bash
-#
-# slackbuild script for inkscape
-# by rhatto at riseup.net
-#
-
-CWD="`pwd`"
-
-if [ -f ~/.slackbuildrc ]; then
- source ~/.slackbuildrc
-elif [ -f /etc/slackbuildrc ]; then
- source /etc/slackbuildrc
-fi
-
-# default settings
-PACKAGE="inkscape"
-ARCH=${ARCH:=i486}
-VERSION=${VERSION:=0.44.1}
-BUILD=${BUILD:=1rha}
-SRC_DIR=${SRC:=$CWD}
-TMP=${TMP:=/tmp}
-REPOS=${REPOS:=$TMP}
-
-if [ "$ARCH" == "x86_64" ]; then
- LIBDIR=/usr/lib64
-else
- LIBDIR=/usr/lib
-fi
-
-RTOOL="wget"
-PACKAGE_EXT="gz"
-SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
-URL="http://ufpr.dl.sourceforge.net/sourceforge/inkscape/$SRC"
-# URL="http://easynews.dl.sourceforge.net/sourceforge/inkscape/$SRC"
-
-SRC_DIR="$SRC_DIR/$PACKAGE"
-mkdir -p $SRC_DIR
-
-if [ "$PACKAGE_EXT" == "bz2" ]; then
- tarflag="j"
-else
- tarflag="z"
-fi
-
-if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
- wget "$URL" -O "$SRC_DIR/$SRC"
-fi
-
-TMP="$TMP/$PACKAGE"
-rm -rf $TMP
-mkdir -p $TMP
-cd $TMP
-
-tar xvf$tarflag $SRC_DIR/$SRC
-cd $PACKAGE-$VERSION
-
-if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
- patch -p1 < $CWD/$PACKAGE-$VERSION.diff
-fi
-
-./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR
-make || exit 32
-make DESTDIR=$TMP/package-$PACKAGE install
-
-CWD="`pwd`"
-
-cd $TMP/package-$PACKAGE
-
-find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-
-mkdir install
-cat << EOF > install/slack-desc
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
-
- |-----handy-ruler-----------------------------------------------------|
-inkscape: inkscape (An SVG-based vector drawing application)
-inkscape:
-inkscape: Inkscape is an Open Source vector graphics editor, with capabilities
-inkscape: similar to Illustrator, Freehand, CorelDraw, or Xara X using the
-inkscape: W3C standard Scalable Vector Graphics (SVG) file format. Supported
-inkscape: SVG features include shapes, paths, text, markers, clones, alpha
-inkscape: blending, transforms, gradients, patterns, and grouping. Inkscape
-inkscape: also supports Creative Commons meta-data, node editing, layers,
-inkscape: complex path operations, bitmap tracing, text-on-path, flowed text,
-inkscape: direct XML editing, and more. It imports formats such as JPEG, PNG,
-inkscape: TIFF, and exports PNG as well as multiple vector-based formats.
-EOF
-
-# docs
-mkdir -p usr/doc/$PACKAGE-$VERSION
-
-for file in AUTHORS COPYING COPYING.LIB ChangeLog HACKING.* INSTALL NEWS README* TRANSLATORS; do
- cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
-done
-
-makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
-
-if [ "$CLEANUP" == "yes" ]; then
- rm -rf $TMP
-fi
-
diff --git a/x11/inkscape/slack-required b/x11/inkscape/slack-required
deleted file mode 100644
index 2ab79731..00000000
--- a/x11/inkscape/slack-required
+++ /dev/null
@@ -1,5 +0,0 @@
-libgc
-gdkmm
-glibmm
-gtkmm
-sigc++
diff --git a/x11/wine/wine.SlackBuild b/x11/wine/wine.SlackBuild
deleted file mode 100755
index 2c0bb454..00000000
--- a/x11/wine/wine.SlackBuild
+++ /dev/null
@@ -1,210 +0,0 @@
-#!/bin/bash
-#
-# slackbuild for wine, by Rudson R. Alves
-# requires: none
-# tested: wine-0.9.24
-
-CWD=`pwd`
-
-# ---- Inicializa variáveis com o slackbuild ------------
-if [ -e "/root/.slackbuildrc" ]; then
- source /root/.slackbuildrc
-elif [ -e "/etc/slackbuildrc" ]; then
- source /etc/slackbuildrc
-fi
-
-# -------- Variáveis de controle de versão --------------
-# Nome da fonte para a qual o slackbuild foi construído e
-# o seu md5sum
-SRC_ORIG="wine-0.9.25.tar.bz2"
-MD5_ORIG="83651d82ada4b06cfead5c535bcbdd6e"
-PACKAGE_ORIG=`echo $SRC_ORIG | sed 's/\(.*\)-\(.*\)\.\(.*\..*\)$/\1/'`
-VERSION_ORIG=`echo $SRC_ORIG | sed 's/\(.*\)-\(.*\)\.\(.*\..*\)$/\2/'`
-EXTENSION=`echo $SRC_ORIG | sed 's/\(.*\)-\(.*\)\.\(.*\..*\)$/\3/'`
-
-# ------- Códigos de erro para o createpkg --------------
-ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
-ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
-ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
-ERROR_PATCH=40; ERROR_VCS=41
-
-# --------- Inicializa variáveis de entrada -------------
-PACKAGE=$PACKAGE_ORIG
-ARCH=${ARCH:=i468}
-SRC_DIR=${SRC:=$CWD}
-VERSION=${VERSION:=$VERSION_ORIG}
-SRC=$PACKAGE-$VERSION.$EXTENSION
-BUILD=${BUILD:=1rud}
-TMP=${TMP:=/tmp}
-REPOS=${REPOS:=$TMP}
-PREFIX=${PREFIX:=/usr}
-OPTCONF=${OPTCONF:=""}
-MD5=${MD5:=$MD5_ORIG}
-URL=${URL:="http://ibiblio.org/pub/linux/system/emulators/wine/$SRC"}
-
-# ---------------- SlackBuild Help ----------------------
-if [ "$1" = "--help" -o "$1" = "help" ]; then
- echo -e "\033[01;32m
-Use: var1=\"value 1\" var2=\"value 2\" ... <package>.SlackBuild
-where:
- ARCH=machine arch (i386, i486, i686, ...)
- VERSION=package version
- BUILD=package build version (default 1rud)
- SRC=source name of package
- SRC_DIR=source directory (default $PWD)
- TMP=temporary directory (default /tmp)
- REPOS=repository directory
- PREFIX=prefix from install package
- OPTCONF=options to pass from ./configure. To configure
- help, use OPTCONF=\"--help\"
- MD5=md5sum from package source
- URL=url from package source
-\033[m"
- exit $ERROR_HELP
-fi
-
-# ---------------- Download fontes ----------------------
-# Fonte a ser compilada, com o path
-SOURCE=$SRC_DIR/$PACKAGE/$SRC
-# Verifica existência do pacote em $SRC em $SRC_DIR
-if [ ! -e $SOURCE ]; then
- echo -e "\n\n\033[01;32m Download $PACKAGE \n\033[m"
- wget "$URL" -P "$SRC_DIR/$PACKAGE"
- # Verifica se o
- if [ $? -ne 0 ]; then
- echo -e "\n\n\033[01;31m No such source file in $URL\n\033[m"
- exit $ERROR_WGET
- fi
-fi
-
-# ------------------ Checa md5sum -----------------------
-if [ "$SRC_ORIG" = "$SRC" -o "$MD5" != "$MD5_ORIG" -a "$MD5" != "no" ]; then
- SUM=`md5sum $SOURCE | awk '{print $1}'`
- if [ "$SUM" != "$MD5" ]; then
- echo -e "\n\n\033[01;31m MD5SUM error: run Slackbuild again \n\033[m"
- echo -e "\033[01;31m Remove $PACKAGE from $SRC_DIR and start Slackbuild again or use MD5=\"no\" \n\033[m"
- exit 0
- fi
- echo -e "\n\n\033[01;32m Md5sum Ok \n\033[m"
-fi
-
-# ----------------- ARCH e LIBDIR -----------------------
-# Libdir, para arch x86_64
-LIBDIR=$PREFIX/lib
-# Seleciona flags para o compilador
-if [ "$ARCH" = "i386" ]; then
- SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
-elif [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686"
-elif [ "$ARCH" = "s390" ]; then
- SLKCFLAGS="-O2"
-elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2"
- LIBDIR="$PREFIX/lib64"
-fi
-
-# -------------- Desempacota fontes ---------------------
-# Desempacota fontes em PKG_SRC=$TMP/$PACKAGE-source
-PKG_SRC=$TMP/$PACKAGE-source
-rm -rf $PKG_SRC 2>/dev/null
-mkdir -p $PKG_SRC
-# Desempacota $SOURCE em $TMP/$PACKAGE-source
-tar xvf $SOURCE -C $PKG_SRC
-if [ $? -ne 0 ]; then
- echo -e "\n\n\033[01;31m $SOURCE file error \n\033[m"
- exit $ERROR_TAR
-fi
-# Pega o nome do diretório das fontes independente de sua
-# estrutura (package-version...)
-PKG_DIR="$PKG_SRC/$( ls $PKG_SRC/ )"
-cd $PKG_DIR
-
-# -------------- Configura programa ---------------------
-# Configura programa
-echo -e "\n\n\033[01;32m CFLAGS=\"$SLKCFLAGS\" ./configure --prefix=$PREFIX --libdir=$LIBDIR $OPTCONF \n\033[m"
-CFLAGS="$SLKCFLAGS" ./configure --prefix=$PREFIX --libdir=$LIBDIR $OPTCONF
-if [ $? -ne 0 -o "$OPTCONF" = "--help" ]; then
- echo -e "\n\n\033[01;31m Configure error \n\033[m"
- exit $ERROR_CONF
-fi
-
-# ---------------- Compila programa ---------------------
-echo -e "\n\n\033[01;32m make -j3 \n\033[m"
-make depend
-if [ $? -ne 0 ]; then
- echo -e "\n\n\033[01;31m Build error \n\033[m"
- exit $ERROR_MAKE
-fi
-make
-if [ $? -ne 0 ]; then
- echo -e "\n\n\033[01;31m Build error \n\033[m"
- exit $ERROR_MAKE
-fi
-
-# ------------- Diretório Temporário --------------------
-# Cria diretório temporário para construção do pacote
-PKG=$TMP/$PACKAGE
-rm -rf $PKG
-mkdir -p $PKG
-
-# --------------- Instala programa ----------------------
-# Instala programa em diretório temporário
-echo -e "\n\n\033[01;32m make install DESTDIR=$PKG \n\033[m"
-make install DESTDIR=$PKG
-if [ $? -ne 0 ]; then
- echo -e "\n\n\033[01;31m Install error \n\033[m"
- exit $ERROR_INSTALL
-fi
-# --------------- compacta manuais ----------------------
-gzip $PKG/$PREFIX/share/man/man1/*
-
-# ----------------- Stripa código -----------------------
-cd $PKG
-find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-
-# ---------------- Cria slack-desc ----------------------
-mkdir $PKG/install
-cat << EOF > install/slack-desc
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
-# leave one space after the ':'.
-
- |----handy-ruler------------------------------------------------------|
-wine: wine.SlackBuild by Rudson R. Alves
-wine:
-wine: Wine is a program which allows running Microsoft Windows programs
-wine: (including DOS, Windows 3.x and Win32 executables) on Unix. It
-wine: consists of a program loader which loads and executes a Microsoft
-wine: Windows binary, and a library (called Winelib) that implements
-wine: Windows API calls using their Unix or X11 equivalents. The library
-wine: may also be used for porting Win32 code into native Unix
-wine: executables.
-wine:
-EOF
-
-# ----------------- Documentações -----------------------
-# Criar diretório de documentação
-PKG_DOC=$PKG/usr/doc/$PACKAGE-$VERSION
-mkdir -p $PKG_DOC
-cp $PKG_DIR/{ANNOUNCE,AUTHORS,COPYING.LIB,ChangeLog,LICENSE,LICENSE.OLD,README,VERSION} $PKG_DOC
-mkdir -p $PKG_DOC/documentation/
-cp $PKG_DIR/documentation/* $PKG_DOC/documentation/
-
-# --------------- Constroi o pacote ---------------------
-echo -e "\n\n\033[01;32m makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz \n\033[m"
-makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
-if [ $? -ne 0 ]; then
- exit $ERROR_MKPKG
-fi
-
-# ----------- Remove arquivos temporários ---------------
-if [ "$CLEANUP" = "yes" ]; then
- echo -e "\n\n\033[01;32m Remove files... \n\033[m"
- rm -rf $PKG $PKG_SRC
-fi